Skip navigation

How to update os x 10.5.8 to os x 10.6.8

153953 Views 31 Replies Latest reply: Jul 16, 2013 11:33 AM by Tamer_Oldboy RSS
1 2 3 Previous Next
ksangasy Level 1 Level 1 (0 points)
Currently Being Moderated
Sep 22, 2012 11:05 AM

I have updated my iphone to 6.0 and it requires my itunes to be updated as well, which I've tried to do, but now it wants me to update my Mac OS x 10.5.8 to 10.6.8. How do I do this? Do I need to buy the Snow Lepard program?

MacBook Pro, Mac OS X (10.5.8)
  • ds store Level 7 Level 7 (30,305 points)
    Currently Being Moderated
    Sep 22, 2012 11:15 AM (in response to ksangasy)

    Call Apple via phone for the 10.6.3 retail disk, stick it into the machine (after backing up data) and run the installer.

     

    Then Software Update to 10.6.8 and stay there, all your software will work. (some might need a update)

     

    If you try going to 10.7 or 10.8, your older machine will crawl and a good portion of your software may not work.

     

    10.6.8 is best for that older 10.5 era machine, prepare to get a new one in about a year or so, thus new software.

     

    Not good to have to buy all new software for  machine on it's last legs.

     

     

    Things to consider before upgrading OS X

     

    https://discussions.apple.com/community/notebooks/macbook_pro?view=documents

  • ds store Level 7 Level 7 (30,305 points)
    Currently Being Moderated
    Sep 22, 2012 12:20 PM (in response to ksangasy)

    No, unless you want to pay more money for the 10.6.3 disk on eBay, Amazon etc.

     

     

    Apple so thoughtfully has removed the 10.6.3 disk from their online store.

     

     

    And if updating to 10.6 is rough for you, then you certainly don't want to go to 10.7 or 10.8, thats a nightmare.

     

     

    BTW I hope your making backups of your data, computers die you know.

     

    Most commonly used backup methods

  • debry81 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Oct 2, 2012 4:48 AM (in response to ds store)

    Are you saying that we have to pay for the next upgrade to the OS? Even though the only reason to upgrade is because Apple have basically stopped my iPhone and iPad from syncing with my computer now?

     

    I call Shennanigans on that!

  • Limnos Level 8 Level 8 (36,585 points)
    Currently Being Moderated
    Oct 3, 2012 6:05 AM (in response to debry81)

    debry81:  No, you stopped your iPhone from syncing because you updated iOS without first checking system requirements to run associated software.

  • YONUS123 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Oct 5, 2012 5:29 PM (in response to ksangasy)

    I had the same issue. I don't think these other people realize that to go from 10.5.8 to 10.6.8 first you need to buy a 10.6 DVD from ebay or some other second hand site. Then you have to go from 10.6.1 in order not skipping any software updates until 10.6.8. In other words, you can't install 10.6.8 unless you have 10.6.7. And can't go from 10.6.6 to 10.6.7 unless you have 10.6.5, get the idea? Luckily, once you have a hard copy of the 10.6 dvd you can get download the rest from apple. I know, it's a bit ridiculous but don't let these other people fool you, I have a 10.5.8 macbook and this is how I had to do it.  I would say that any macbook that came with 10.5.8 OS x would not have the capacity to run anything higher than 10.6.8 efficiently, so I would recommend stopping at 10.6.8. Itunes 10.7 is compatible with 6.8 of course

  • YONUS123 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Oct 5, 2012 5:31 PM (in response to YONUS123)

    Actually, you can go from 10.6 (dvd) straight to 10.6.5, but from there you can't skip to 10.6.8

  • YONUS123 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Oct 5, 2012 9:35 PM (in response to YONUS123)

    This will be my final post. Turns out, you CAN go straight from the dvd to 10.6.8 if you download the 10.6.8 COMBO update.

  • ngray101 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Oct 13, 2012 3:12 AM (in response to ksangasy)

    Hi, I think I have brilliant news! I too am on an older macbook pro running 10.5.8, and I too was dismayed to find that my iPhone with OS6 could not be recognized by the older iTunes. I was told even in the Apple store that I needed to upgraded to mac to OS 10.6.8

    BUT... I ran software update on my mac and upgraded iTunes to 10.6.3 and VOILA !!!

    Phone recognized AND synced successfully !!! Amazing that Apple did not tell me this

    So I'm still on 10.5.8 Leopard AND happily communicating with my iPhone 4S running OS6

     

    God Rest Ye Merry Gentlemen !!


  • lonebikerider Level 1 Level 1 (0 points)
    Currently Being Moderated
    Oct 13, 2012 8:23 AM (in response to ksangasy)

    I too am facing the same problem. Am using an old macbook running 10.5.8 and this was fine until I got my new iPhone 5.... So now I need to upgrade to 10.6.8.in order to upgrade to iTunes 10.7 before I can sync my new iPhone 5....

     

    ngray101, i upgraded to iTunes 10.6.3 but my iPhone 5 still can't sync, so looks like I'll have to do it the long and hard way....

  • apps2012 Level 1 Level 1 (5 points)
    Currently Being Moderated
    Oct 13, 2012 8:52 AM (in response to lonebikerider)

    Try to use iTunes 10.7 on Microsoft Windows.

  • apps2012 Level 1 Level 1 (5 points)
    Currently Being Moderated
    Oct 13, 2012 8:58 AM (in response to ksangasy)

    Very sad that iTunes 10.7 does not work with old MAC OS. It might be cheaper to use MS Window computer for iTunes rather than MBP. Apple really has a lot of problems with iTunes, IOS6, MAC OS 10.8 because they are not backward comparable.

  • Limnos Level 8 Level 8 (36,585 points)
    Currently Being Moderated
    Oct 13, 2012 9:17 AM (in response to apps2012)

    Apple really has a lot of problems with iTunes, IOS6, MAC OS 10.8 because they are not backward comparable.

    Not from Apple's perspective.  It may annoy owners of older equipment but Apple has long observed a pattern of completely dropping support for equipment older than 5 years and generally for operating system versions older than second generation (so it is unusual they still support Snow Leopard but perhaps that is because Mountain Lion appeared only 1 year after Lion vs. the usual 2 year pattern). Even if you have younger equipment you have to expect it to see decreased compatibility after a couple of years as software features are brought out that only support new hardware.  This applies across the board but it particularly noticeable when you have multiple Apple hardware items since the i-device has to work with the iOS, and the iOs has to work with the iTunes, and the iTunes has to work with the operating system, and the operating system has to be able to run on the computer.

  • neilt17 Level 1 Level 1 (0 points)
    Currently Being Moderated
    Oct 17, 2012 3:15 AM (in response to ksangasy)

    ksangasy wrote:

     

    There is no easier way updating this, instead of calling Apple?

    I rang Apple (UK) for the update disk - was actually quite a nice experience - and it's not expensive (£18.80 here). Only thing is they said it would take 2-3 weeks for delivery as there is heavy demand for them at the moment.

1 2 3 Previous Next

Actions

More Like This

  • Retrieving data ...

Related Articles

Bookmarked By (1)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.